import { Body, Controller, HttpCode, HttpStatus, Post } from "@nestjs/common";
import { SignInDto, SignUpDto } from "src/auth/auth.dto";
import { AuthService } from "src/auth/auth.service";
import * as console from "node:console";

@Controller("auth")
export class AuthController {
	constructor(private readonly authService: AuthService) {}

	//POST signup
	@HttpCode(HttpStatus.CREATED)
	@Post("signup")
	async signUp(@Body() dto: SignUpDto) {
		console.log(dto);
		return this.authService.doRegister(dto);
	}

	//POST signin
	@HttpCode(HttpStatus.OK)
  @Post("signin")
  async signIn(@Body() dto: SignInDto) {
    console.log(dto);
    return this.authService.doLogin(dto);
  }
	//GET me -- Get current user data via jwt
	//DELETE me
	//PATCH me
}
