import { ValidationPipe } from "@nestjs/common";
import { NestFactory } from "@nestjs/core";
import {
	FastifyAdapter,
	type NestFastifyApplication,
} from "@nestjs/platform-fastify";
import helmet from "helmet";
import { AppModule } from "./app.module";

async function bootstrap() {
	const app = await NestFactory.create(
		AppModule,
		//new FastifyAdapter({ logger: true }),
	);
	app.use(helmet());
	app.enableCors();
	app.useGlobalPipes(new ValidationPipe());

	await app.listen(process.env.APP_PORT || 3333, "0.0.0.0");
}
bootstrap();
